DMP(3)

PACKAGE
dmp - Routines to dump an ASCII representation of a data structure

PURPOSE
These routines are meant to provide a mechanism for writing the recursive, heirarchical data structure to a file in an ASCII (human readable) format.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

dmp_multi_desc
    Dump a multi_array descriptor to a file.

dmp_packet_desc
    Dump a packet descriptor to a file.

dmp_element_desc
    Dump an element descriptor to a file.

dmp_array_desc
    Dump an array descriptor to a file.

dmp_dim_desc
    Dump a dimension descriptor to a file.

dmp_multi_data
    Dump the data in a multi_array descriptor to a file.

dmp_packet
    Dump a packet to a file.

dmp_element
    Dump an element to a file.

dmp_array
    Dump an array to a file.

dmp_list
    Dump a linked list to a file.

dmp_flag
    Dump a flag value to a file.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/